Subject: Re: Rxvt 2.7.9 invoked with no stdin

From: Dan Espen <[email-masked]>
Date: Mon, 26 May 2003 08:04:58 -0400

Dan Espen <[email-masked]> writes:
> Hi,
> 
> I'm not subscribed, cc fvwm-workers if you have questions.
> 
> We recently changed fvwm so that when it launches a process,
> it first closes STDIN.  We did this for gmplayer as discussed
> in this thread:
> 
> http://www.hpc.uh.edu/fvwm/archive/0301/msg00305.html
> 
> We just got a problem report from someone using rxvt version
> 2.7.9.  He reports that when launching rxvt from fvwm,
> using the fvwm command:
> 
> Exec rxvt
> 
> he sees the messages:
> 
> Xlib: sequence lost (0x10808 > 0x5a) in reply type 0x8!
> or
> Xlib: sequence lost (0x10d4b > 0x5a) in reply type 0x1b!
> 
> and rxvt doesn't start.
> 
> I was able to reproduce the problem, but wasn't able to pin
> down the cause.  The problem seemed to come and go.
> 
> I see recent changes in src/init.c that look a little suspicious,
> but I can't say what the exact problem is.
> 
> I'm going to close our bug report and consider this an rxvt
> problem.

The logic that closes STDIN has been eliminated from FVWM.
Instead STDIN is redirected to /dev/null.

Fvwm now seems to work with all the problem applications I'm
aware of including Rox Filer, gmplayer, and rxvt 2.7.9.

Right now the change is in the CVS stable and beta branches.
Providing no additional problems are detected, the change will
make its way into releases.

-- 
Dan Espen                           E-mail: [email-masked]

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]